--- title: "Get user attributes from an existing Identity Provider." slug: "get-user-attributes-from-an-existing-identity-provider-1" updated: 2026-03-02T22:30:52Z published: 2026-03-02T22:35:48Z canonical: "support.appgate.com/get-user-attributes-from-an-existing-identity-provider-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://support.appgate.com/llms.txt > Use this file to discover all available pages before exploring further. # Get user attributes from an existing Identity Provider. Post/identity-providers/{id}/attributes Get raw attributes and mapped claims for a user. SecurityHTTPType bearer Path parametersidstring (uuid) Required ID of the object. Example12699e27-b584-464a-81ee-5b4784b6d425 Body parameters User details to get attributes for. object usernamestring Required for Ldap, Radius and LocalDatabase providers. Exampleusername passwordstring Required for Radius provider. ExampletSW3!QBv(rj{UuLY samlResponsestring A sample SAML token to extract attributes from. Required for SAML provider. Responses200 User attributes. Expand Allobject rawAttributesobject The attributes received and unchanged by the Identity Provider. Example{ "samAccountName": [ "username" ], "upn": [ "username@company.com" ] }property* Array of string additionalPropertiesstring mappedAttributesobject The attributes received and mapped by the Identity Provider according to claimMappings. Example{ "username": "username" }property*string additionalProperties 400 JSON error. Check the JSON format. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 401 Token error. Login again. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 403 Insufficient permissions to access this resource. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 404 The requested resource can not be found. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 406 Invalid 'Accept' header. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 422 Request validation error. Check "errors" array for details. Expand Allobject Http 422 error for object validation. idstring Machine readable error code. messagestring Human readable error details. errors Array of object List of fields with validation errors. object fieldstring Name of the field that failed validation. Examplename messagestring Failure reason. Examplemay not be null 500 Unexpected server side error. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details.